Error en el command de enlace de Facebook Sdk

Soy nuevo en iOS y estoy tratando de implementar Facebook SDK en un proyecto que utiliza la integración de Facebook de AppGuru en el tutorial Swift. Pero estoy enfrentando este error de command de vinculador mientras edifico mi aplicación:

error is framework no encontrado Pernos para architecture x84_64 (el command linker falló con el código de salida 1)

Aquí hay una captura de pantalla:

captura de pantalla

Descargue el proyecto de demostración con el inicio de session en Facebook desde la siguiente URL. Tienes que configurar tu id de la aplicación de facebook.

Descargar

Tienes que importar estos 3 frameworks en tu proyecto.

Comtesting esto

Ruta de búsqueda del marco: agregue la siguiente línea

$ (PROJECT_DIR) / Projectname / FacebookSDK

introduzca la descripción de la imagen aquí


También compruebe, pernos, núcleo y el kit de inicio de session de Facebook tiene que estar en fase de construcción -> Enlace binary con bibliotecas

introduzca la descripción de la imagen aquí

Siga los pasos:

  • Vaya a la página de project setting su project setting
  • Seleccione your project (lado izquierdo)
  • Haga clic en la pestaña Build Settings
  • Bitcode búsqueda
  • Establezca Enable Bitcode de Enable Bitcode en No

Yo tenía el mismo error. ParseFacebookUtils.framework biblioteca ParseFacebookUtils.framework de mi proyecto y solo ParseFacebookUtilsV4.framework .

Cuando utilice AWS Mobile SDK para iOS y Facebook SDK juntos, no debe importar Bolts.framework en su proyecto. Si lo eliminas, debería comstackr.

Copie los frameworks en el proyecto pero, a diferencia de lo que sugiere el tutorial de Facebook, select "Copiar elementos en la carpeta del grupo de destino". Lo hice y funcionó bien para mí.